# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name brainfuck

Name:           %{pkg_name}
Version:        0.1
Release:        7%{?dist}
Summary:        Brainfuck interpreter

# Language/Brainfuck.hs states version 2 or later
License:        GPLv2+
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:         brainfuck-0.1-fix-fsf-address.patch

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-unix-devel
# End cabal-rpm deps

%description
This is an interpreter of the brainf*ck language,
written in the pure, lazy, functional language Haskell.


%package -n ghc-%{name}
Summary:        Haskell %{name} library

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.


%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       ghc-%{name} = %{version}-%{release}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.


%prep
%setup -q
%patch0 -p1


%build
%ghc_lib_build


%install
%ghc_lib_install


%post -n ghc-%{name}-devel
%ghc_pkg_recache


%postun -n ghc-%{name}-devel
%ghc_pkg_recache


%files
%doc LICENSE
%attr(755,root,root) %{_bindir}/bf


%files -n ghc-%{name} -f ghc-%{name}.files
%doc LICENSE


%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 11 2013 Jens Petersen <petersen@redhat.com> - 0.1-6
- update to new simplified Haskell Packaging Guidelines

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Nov 18 2012 Jens Petersen <petersen@redhat.com> - 0.1-4
- update with cabal-rpm
- change license tag to GPLv2+ according to Brainfuck.hs

* Fri Sep 07 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.1-3
- Added patch to fix FSF address

* Tue Jun 05 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.1-2
- Updated license to GPLv2.

* Tue Jun 05 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.1-1
- Added BuildRequires.
- Spec file template generated by cabal2spec-0.25.5.
